> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List digital wallet tokens

> 
 Returns a list of digital wallet tokens for cards on a given account.

 Each digital wallet token represents a specific card, wallet and device combination.

 We support Apple Pay, Google Pay, and Samsung Pay wallets.
    



## OpenAPI

````yaml /autogenerated/openapi/cards.openapi.json get /cards/tokens
openapi: 3.1.0
info:
  title: Cards API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /cards/tokens:
    get:
      tags:
        - Digital wallets
      summary: List digital wallet tokens
      description: |2-

         Returns a list of digital wallet tokens for cards on a given account.

         Each digital wallet token represents a specific card, wallet and device combination.

         We support Apple Pay, Google Pay, and Samsung Pay wallets.
            
      operationId: findDigitalWalletTokens
      parameters:
        - name: accountId
          in: query
          schema:
            description: The ID of the account to work with.
            type:
              - string
            example: F50091
          required: true
        - name: personId
          in: query
          schema:
            description: The ID of the person to work with.
            type:
              - string
            format: uuid
            maxLength: 36
            example: 775596ae-2624-40af-a9dc-9756110a4a04
        - name: tokenState
          in: query
          schema:
            description: The state of the token
            type:
              - string
            enum:
              - REQUESTED
              - REQUEST_DECLINED
              - ACTIVE
              - SUSPENDED
              - TERMINATED
            example: ACTIVE
        - name: search
          in: query
          schema:
            description: List of comma-separated last four digits.
            type:
              - string
            example: 1234,3453,2222
        - name: tokenType
          in: query
          schema:
            description: The type of wallet token.
            type:
              - string
            enum:
              - APPLE_PAY
              - ANDROID_PAY
              - SAMSUNG_PAY
            example: APPLE_PAY
        - name: deviceType
          in: query
          schema:
            description: >-
              The type of device into which the digital wallet token is
              provisioned.
            type:
              - string
            enum:
              - MOBILE_PHONE
              - TABLET
              - WATCH
            example: WATCH
        - name: deviceId
          in: query
          schema:
            description: >-
              The device ID associated with the digital wallet token for Apple
              Pay, Google Pay, or Samsung Pay.
            type:
              - string
            example: b39f54264a3d
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  count:
                    type:
                      - integer
                    description: >-
                      The total amount of records matching the querying when
                      "limit" is ignored.
                    example: 67
                  rows:
                    type:
                      - array
                    items:
                      type:
                        - object
                      properties:
                        token:
                          type:
                            - string
                          format: uuid
                          description: The digital wallet token ID.
                          example: 9d3dee7c-19df-4b71-bbb9-521bb04307bf
                        deviceId:
                          description: >-
                            The device ID associated with the digital wallet
                            token for Apple Pay, Google Pay, or Samsung Pay.
                          type:
                            - string
                          example: b39f54264a3d
                        cardId:
                          description: The ID of the card to work with.
                          type:
                            - string
                          format: uuid
                          maxLength: 36
                          example: e9293471-5eb3-4dbc-916c-dbaf9e2deefd
                        cardName:
                          type:
                            - string
                          description: >-
                            The name of the card. Any diacritics will be
                            converted to the nearest English letter equivalent.
                            Note that any name that is longer than 21 characters
                            will be truncated.
                          example: Expense card
                        lastFour:
                          type:
                            - string
                          description: The last four digits of the card PAN.
                          example: '0056'
                required:
                  - count
                  - rows
                example:
                  count: 67
                  rows:
                    - token: 9d3dee7c-19df-4b71-bbb9-521bb04307bf
                      deviceId: b39f54264a3d
                      cardId: e9293471-5eb3-4dbc-916c-dbaf9e2deefd
                      cardName: Expense card
                      lastFour: '0056'
      security:
        - CommonAuth:
            - cards:read:own
            - cards:read:any
      x-codeSamples:
        - lang: Shell
          label: cURL
          source: |-
            curl --request GET \
              --url 'https://api.equalsmoney.com/v2/cards/tokens?accountId={{accountId}}' \
              --header 'Authorization: <api-key>'
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````